# SOR28 - Request refund on order

Call FrequencyRecommended usage: At each service refund requestMaximum usage: At each service refund request

Endpoint: PUT /api/mms/orders/{order_id}/refund

## Path parameters:

  - `order_id` (string, required)
    The identifier of the order to be refunded.

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `amount` (number, required)
    The amount to be refunded

  - `currency_code` (string, required)
    The currency used by the shop (iso format)

  - `options` (array)
    The options to be refunded. This field is required if the order has options.

  - `options.code` (string, required)
    Option code

  - `options.type` (string)
    Enum: `"BOOLEAN"`, `"DATE_TIME"`, `"INTEGER"`, `"DECIMAL"`, `"TEXT"`, `"LONG_TEXT"`, `"VALUE_LIST"`, `"LINK"`, `"VIDEO"`
    Enum: "BOOLEAN", "VALUE_LIST"

  - `reason_code` (string, required)
    The reason code of the refund

  - `taxes` (array)
    The taxes to be refunded. This field is required if the order has taxes.

  - `taxes.amount` (number, required)
    Amount of the tax

  - `taxes.code` (string, required)
    Code of the tax

## Request examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 201:

  - `201` (unknown)
    Created

